# Webseismo-Tracker Component

[![npm version](https://badge.fury.io/js/ta-react-webseismotracker.svg)](https://badge.fury.io/js/ta-react-webseismotracker)

## Installation

```bash
yarn add ta-react-webseismotracker
```

## Usage

```js
import WebseismoTracker from 'ta-react-webseismotracker';

// ...

class YourComponent extends React.Component {

  componentDidMount() {
    // Get the Webseismo statistics object from Newsnet API here
    // NOT ACTUAL IMPLEMENTATION!
    this.setState({
      webseismoTrackingObject: data.statistics.webseismo
    })
  }

  render() {
    return <WebseismoTracker {this.state.webseismoTrackingObject}/>
  }
}
```

## API

<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

### WebseismoTracker

Tracker component to render an invisible pixel image
that tracks the hits on the page on the Webseismo screen.

**Meta**

-   **version**: 2.0

### webseismoTracker

Activates a call to a tracking pixel; based on the current content width
it will call a different URL.

**Parameters**

-   `props` **[object](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object)** 
    -   `props.url_webapp` **[string](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String)** Basic tracking URL, used for mobile devices.
    -   `props.url_tablet` **[string](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String)** Tracking URL for tablet-sized devices.
    -   `props.url_desktop` **[string](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String)** Tracking URL for desktop-sized devices.

Returns **XML** A TrackingPixel react element.

## Contributing

### Development

Code resides in `/src`. Test cases are provided
using [Storybook](https://storybook.js.org). Add test cases in 
`/stories/index.js`,
and run them with

```bash
yarn run storybook
```

They will appear on <http://localhost:9001>.

This repository follows the Standard JS style. To fix your code, run

```bash
yarn run fix
```

[![JavaScript Style Guide](https://cdn.rawgit.com/feross/standard/master/badge.svg)](https://github.com/feross/standard)

### Building & Releasing

Babel is used to provide ES5 compatible code. To compile run

```bash
yarn run dist
```

Changes should go into the changelog. The format is based on [Keep a Changelog](http://keepachangelog.com/)
and this project adheres to [Semantic Versioning](http://semver.org/).

Update the Readme with the current API using

```bash
yarn run docs
```
